FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > ArchLinux > ArchLinux Pacman Development

 
 
LinkBack Thread Tools
 
Old 07-19-2008, 10:29 AM
Nagy Gabor
 
Default Odd -Su checkdeps error message

[ngaba@Arch pacman]$ LANG=C sudo pacman -Su
:: Starting full system upgrade...
resolving dependencies...
looking for inter-conflicts...
error: failed to prepare transaction (could not satisfy dependencies)
:: firefox-i18n: requires firefox=3.0

[ngaba@Arch pacman]$ LANG=C pacman -Qi firefox
Name : firefox
Version : 3.0-2
...

Hm. What's this?
[ngaba@Arch pacman]$ LANG=C sudo pacman -Su --debug | grep firefox
[12:20:47] debug: new version of 'firefox' found (3.0-2 => 3.0.1-1)
[12:20:47] debug: package 'firefox' not found in sync
...

Aha. We should somehow inform the user about the selected packages.
Btw, these --debug messages are also odd, (instead of 'firefox' not
found in sync (== target list), we should say adding firefox to the
target list).

Bye

_______________________________________________
pacman-dev mailing list
pacman-dev@archlinux.org
http://archlinux.org/mailman/listinfo/pacman-dev
 
Old 07-19-2008, 12:32 PM
Nagy Gabor
 
Default Odd -Su checkdeps error message

> [ngaba@Arch pacman]$ LANG=C sudo pacman -Su
> :: Starting full system upgrade...
> resolving dependencies...
> looking for inter-conflicts...
> error: failed to prepare transaction (could not satisfy dependencies)
> :: firefox-i18n: requires firefox=3.0
>
> [ngaba@Arch pacman]$ LANG=C pacman -Qi firefox
> Name : firefox
> Version : 3.0-2
> ...
>
> Hm. What's this?
> [ngaba@Arch pacman]$ LANG=C sudo pacman -Su --debug | grep firefox
> [12:20:47] debug: new version of 'firefox' found (3.0-2 => 3.0.1-1)
> [12:20:47] debug: package 'firefox' not found in sync
> ...
>
> Aha. We should somehow inform the user about the selected packages.
> Btw, these --debug messages are also odd, (instead of 'firefox' not
> found in sync (== target list), we should say adding firefox to the
> target list).
>

Some notes:

0. We are in string freeze :-/
1. Maybe we should introduce PM_LOG_INFO, alpm cannot send a simple
message (which is not warning, error or debug).
2. I couldn't find any rule for displaying '::' or not...

Bye


_______________________________________________
pacman-dev mailing list
pacman-dev@archlinux.org
http://archlinux.org/mailman/listinfo/pacman-dev
 
Old 07-19-2008, 01:20 PM
"Dan McGee"
 
Default Odd -Su checkdeps error message

On Sat, Jul 19, 2008 at 7:32 AM, Nagy Gabor <ngaba@bibl.u-szeged.hu> wrote:
>> [ngaba@Arch pacman]$ LANG=C sudo pacman -Su
>> :: Starting full system upgrade...
>> resolving dependencies...
>> looking for inter-conflicts...
>> error: failed to prepare transaction (could not satisfy dependencies)
>> :: firefox-i18n: requires firefox=3.0
>>
>> [ngaba@Arch pacman]$ LANG=C pacman -Qi firefox
>> Name : firefox
>> Version : 3.0-2
>> ...
>>
>> Hm. What's this?
>> [ngaba@Arch pacman]$ LANG=C sudo pacman -Su --debug | grep firefox
>> [12:20:47] debug: new version of 'firefox' found (3.0-2 => 3.0.1-1)
>> [12:20:47] debug: package 'firefox' not found in sync
>> ...
>>
>> Aha. We should somehow inform the user about the selected packages.
>> Btw, these --debug messages are also odd, (instead of 'firefox' not
>> found in sync (== target list), we should say adding firefox to the
>> target list).
>>
>
> Some notes:
>
> 0. We are in string freeze :-/
Debug messages aren't translated, so change these all you want.

> 1. Maybe we should introduce PM_LOG_INFO, alpm cannot send a simple
> message (which is not warning, error or debug).
> 2. I couldn't find any rule for displaying '::' or not...
That is manually output. I've never completely understood it. In this
case, it is really an error, so I'm not sure why we don't use that.

_______________________________________________
pacman-dev mailing list
pacman-dev@archlinux.org
http://archlinux.org/mailman/listinfo/pacman-dev
 
Old 07-19-2008, 01:43 PM
Nagy Gabor
 
Default Odd -Su checkdeps error message

> On Sat, Jul 19, 2008 at 7:32 AM, Nagy Gabor <ngaba@bibl.u-szeged.hu>
> wrote:
> >> [ngaba@Arch pacman]$ LANG=C sudo pacman -Su
> >> :: Starting full system upgrade...
> >> resolving dependencies...
> >> looking for inter-conflicts...
> >> error: failed to prepare transaction (could not satisfy
> >> dependencies) :: firefox-i18n: requires firefox=3.0
> >>
> >> [ngaba@Arch pacman]$ LANG=C pacman -Qi firefox
> >> Name : firefox
> >> Version : 3.0-2
> >> ...
> >>
> >> Hm. What's this?
> >> [ngaba@Arch pacman]$ LANG=C sudo pacman -Su --debug | grep firefox
> >> [12:20:47] debug: new version of 'firefox' found (3.0-2 => 3.0.1-1)
> >> [12:20:47] debug: package 'firefox' not found in sync
> >> ...
> >>
> >> Aha. We should somehow inform the user about the selected packages.
> >> Btw, these --debug messages are also odd, (instead of 'firefox' not
> >> found in sync (== target list), we should say adding firefox to the
> >> target list).
> >>
> >
> > Some notes:
> >
> > 0. We are in string freeze :-/
> Debug messages aren't translated, so change these all you want.

OK. I will change debug messages, but they are not so important. I
referred here to some deeper changes, because imho the info I got is not
enough. My main problem that I wasn't informed about the fact that a
local package's dependency would be broken by the transaction
(broken "reversedeps" case can be figured out from causingpkg), and
pacman wants to upgrade firefox (I don't know anything about
to-be-upgraded packages).

Bye

_______________________________________________
pacman-dev mailing list
pacman-dev@archlinux.org
http://archlinux.org/mailman/listinfo/pacman-dev
 

Thread Tools




All times are GMT. The time now is 03:15 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org